Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 21 Sep 2022 05:03:57 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I collected order number 9585577745 from Centrepoint stores mall of the Emirates on Tuesday, September 13th. 
On Saturday, September 17th, I went to Dubai Marina Mall to return some items at splash store , but the shop informed me that there is a problem with the request in the return system and contacted the customer service team and the request for return was made online and a link was sent by email to complete the procedures, but there is also a problem in the return system inside the application, so I contacted them and told me that someone from the technical team will contact me to solve the problem
This was on September 17th and so far no one has contacted me, I went for the second time to splash store and still same problem persistenting 
I am very disappointed about treatment with clients as I'm calling customer service daily to expedite them because there are only six days left to return the order and I cannot return through store or online https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4899931